Description

Supportanfrage

Ich hätte noch ein paar nachträgliche Fragen zu SOME/IP in ADTF3:

Es werden Vector-Meß-Interfaces über den Vector-Treiber unterstützt, richtig? Gibt es darüber hinaus weitere unterstützte

Interfaces? Oder wird es weitere geben?

* Man kann sich also bereits SOME/IP-Traces im ADTF3 anschauen. Sehe ich aber nur Rohdaten, da ein Decoding-Support

(bspw. *arxml) fehlt? Wie geschieht im Trace das Decoding aktuell?

* Gibt es etwas Neues zu einem möglichen *.arxml-Support? Ist das Thema mittlerweile bei Digitalwerk eingespeist worden?

Lösung

Es werden Vector-Meß-Interfaces über den Vector-Treiber unterstützt, richtig? Gibt es darüber hinaus weitere unterstützte

Interfaces? Oder wird es weitere geben?

 Die SOME/IP Anbindung ist bislang Device-unabhängig, wir liefern eine Pcap-Source, die ähnlich zu Wireshark auf den

Netzwerkadaptern mitschneidet.

Ein nachgeschalteter SOME/IP Filter extrahiert aus den Ethernetdaten die SOME/IP (inkl. SOME/IP-TP) Pakete. Hier wird aktuell

UDP unterstützt, ebenso IPv4/IPv6 sowie VLANs. TCP wird noch nachgereicht.

Oder um deine Frage anders zu beantworten:

Grundsätzlich ist die Device TB 3.x so definiert, dass sie lediglich die Schnittstellen bieten soll. Es wurden leider sämtliche bekannten

Devices aus ADTF 2.x gestrichen, die Vector Devices haben wir für Testzwecke iomplementirterEs gibt keine Anforderung, die

Ethernet Schnittstelle der Vector API zu anzusprechen, dazu gibt es aktuell kein Device (Source/Sink) und man läuft davon

unabhängig. Das kann natürlich selbst implementiert werden/ins Kufo eingespeist oder seperat beauftragt und mit der Toolchain

verbunden werden, ebenso andere Device Hersteller. Es müssen natürlich die entsprechenden Datentypen und Schnittstellen

bedient werden. Aber damit ist es z.B. möglich, sowohl Devices einzubinden, die Ethernet Daten oder bereits extrahierte SOME/IP

Daten liefern, zu integrieren und austauschen, u.a. um Trace View oder künftige De- und Encoder sowie Service Discovery / aktive

Teilnahme am SOME/IP Netzwerk (Meilenstein 3) zu nutzen.

Man kann sich also bereits SOME/IP-Traces im ADTF3 anschauen. Sehe ich aber nur Rohdaten, da ein Decoding-Support

(bspw. *arxml) fehlt? Wie geschieht im Trace das Decoding aktuell?

Der SOME/IP Trace View bietet folgende Informationen:

Quell- und Ziel-Endpoint

die einzelnen Felder des SOME/IP-Header

Service Discovery Informationen (Options, Entries, usw.) bei SD-Nachrichten

Vorschau der rohen SOME/IP-Payload als Hex-String

Mit einem zusätzlichen Parser ist es dann auch möglich, den dekodierten Payload anzuzeigen.

Gibt es etwas Neues zu einem möglichen *.arxml-Support? Ist das Thema mittlerweile bei Digitalwerk eingespeist worden?
 Leider nein, das Thema kam weder als Anforderung im Kundenforum noch eine seperate Beauftragung bei uns an. Uns ist wie

häufig erwähnt bewusst, dass dies an vielen Stellen gefordert wird, bisher sieht sich aber keiner dazu bereit, es in Auftrag zu geben,

sei es via Kundenforumsbudget fest im Core/TB integriert oder als seperat erhältliche Dienstleistung.

 

Related issues:

Related to Public Support - Support Request #10071: Support for Automotive Et... Closed

History

#1 - 2020-04-08 17:12 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to DeviceTB::SOME/IP

- Customer set to AUDI

- Department set to EF

#2 - 2020-04-09 08:47 - hidden

- Related to Support Request #10071: Support for Automotive Ethernet in ADTF / Device Toolbox 3.x added

#3 - 2020-04-09 09:59 - hidden

- Subject changed from Unterstützung Automotive Ethernet ATDF 3.x to Additional information about SOME/IP features within Device TB 3.x 

- Description updated

- Status changed from In Progress to Customer Feedback Required

- Affected Products ADTF Device Toolbox 3.1.0, ADTF Device Toolbox 3.2.0 added

Hallo Patrick,

Es werden Vector-Meß-Interfaces über den Vector-Treiber unterstützt, richtig? Gibt es darüber hinaus weitere unterstützte Interfaces? Oder wird

es weitere geben?

 Die SOME/IP Anbindung ist bislang Device-unabhängig, wir liefern eine Pcap-Source, die ähnlich zu Wireshark auf den Netzwerkadaptern

mitschneidet.

Ein nachgeschalteter SOME/IP Filter extrahiert aus den Ethernetdaten die SOME/IP (inkl. SOME/IP-TP) Pakete. Hier wird aktuell UDP unterstützt,

ebenso IPv4/IPv6 sowie VLANs. TCP wird noch nachgereicht.

Oder um deine Frage anders zu beantworten:

Grundsätzlich ist die Device TB 3.x so definiert, dass sie lediglich die Schnittstellen bieten soll. Es wurden leider sämtliche bekannten Devices aus

ADTF 2.x gestrichen, die Vector Devices haben wir für Testzwecke iomplementirterEs gibt keine Anforderung, die Ethernet Schnittstelle der Vector

API zu anzusprechen, dazu gibt es aktuell kein Device (Source/Sink) und man läuft davon unabhängig. Das kann natürlich selbst implementiert

werden/ins Kufo eingespeist oder seperat beauftragt und mit der Toolchain verbunden werden, ebenso andere Device Hersteller. Es müssen

natürlich die entsprechenden Datentypen und Schnittstellen bedient werden. Aber damit ist es z.B. möglich, sowohl Devices einzubinden, die

Ethernet Daten oder bereits extrahierte SOME/IP Daten liefern, zu integrieren und austauschen, u.a. um Trace View oder künftige De- und Encoder

sowie Service Discovery / aktive Teilnahme am SOME/IP Netzwerk (Meilenstein 3) zu nutzen.

Man kann sich also bereits SOME/IP-Traces im ADTF3 anschauen. Sehe ich aber nur Rohdaten, da ein Decoding-Support (bspw. *arxml) fehlt?

Wie geschieht im Trace das Decoding aktuell?

Der SOME/IP Trace View bietet folgende Informationen:

Quell- und Ziel-Endpoint

die einzelnen Felder des SOME/IP-Header

Service Discovery Informationen (Options, Entries, usw.) bei SD-Nachrichten

Vorschau der rohen SOME/IP-Payload als Hex-String

Mit einem zusätzlichen Parser ist es dann auch möglich, den dekodierten Payload anzuzeigen.

Gibt es etwas Neues zu einem möglichen *.arxml-Support? Ist das Thema mittlerweile bei Digitalwerk eingespeist worden?

 Leider nein, das Thema kam weder als Anforderung im Kundenforum noch eine seperate Beauftragung bei uns an. Uns ist wie häufig erwähnt

bewusst, dass dies an vielen Stellen gefordert wird, bisher sieht sich aber keiner dazu bereit, es in Auftrag zu geben, sei es via Kundenforumsbudget

fest im Core/TB integriert oder als seperat erhältliche Dienstleistung.
#4 - 2020-04-20 21:44 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

#7 - 2020-07-07 13:28 - hidden

- Project changed from 11 to Public Support

- Private changed from Yes to No

#8 - 2020-07-07 16:41 - hidden

- Status changed from To Be Closed to Closed
